/*
Theme Name: Capon Cleaning Child
Theme URI: https://www.caponcleaning.com/
Description: A child theme designed to replicate the look of the Capon Cleaning website using WordPress. This theme customizes colors, fonts and header layout.
Author: Capon Cleaning
Template: twentytwentyfour
Version: 1.0
License: GNU General Public License v2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html
Text Domain: caponcleaning-child
*/

/* Import Google Fonts for body and headings */
/* @import url('https://fonts.googleapis.com/css2?family=Lato:wght@400;700&family=Raleway:wght@400;700&display=swap'); */
@import url('https://fonts.googleapis.com/css2?family=Lato:wght@100;300;400;700;900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100;200;300;400;500;600;700;800;900&display=swap');

/* Base typography overrides */
body {
    --color-primary: #01A7E5;
    --color-secondary: #006C94;
	--color-web-black: #333333;
	--color-body-text: #0E0E0E;
	--font-family-arial: "Arial", "Arial Fallback", Sans-serif;
	--font-family-raleway: "Raleway", "Arial Fallback", Sans-serif;
	--wp--style--global--content-size: 100%;
	--wp--style--global--content-size-for-single-page: 1440px;
	--header-height: 138px;
	@media (width < 768px) {
		--header-height: 176px;
	}
}
body {
	font-family: var(--font-family-arial);
}
h1, h2, h3, h5, h6 {
	font-family: var(--font-family-raleway);
}
h4 {
	font-family: var(--font-family-arial);	
}
p {
	font-family: var(--font-family-arial);
	margin-block-start: 0;
}
/* body {
    font-family: 'Lato', sans-serif;
}
h1, h2, h3, h4, h5, h6 {
    font-family: 'Raleway', sans-serif;
} */
/* End Base typography overrides */

/* Primary button styling */
/* button, .wp-block-button__link {
    border-radius: 6px;
    padding: 0.6rem 1rem;
    font-weight: 700;
    background-color: #01A7E5;
    color: #ffffff;
}
button:hover, .wp-block-button__link:hover {
    filter: brightness(0.95);
} */
.has-global-padding {
	padding: calc(var(--spacing) * 0);
}
.single .is-layout-constrained > :where(:not(.alignleft):not(.alignright):not(.alignfull)) {
	max-width: var(--wp--style--global--content-size-for-single-page);
}
[data-widget_type="text-editor.default"] p:last-child {
	margin-bottom: 0;
}
/* Font Family */
.font-raleway {
	font-family: var(--font-family-raleway) !important;
}
.font-arial {
	font-family: var(--font-family-arial) !important;
}
/* End Font Family */
/* Buttons */
.btn-primary a, 
.btn-primary button, 
.btn-primary [type="submit"] {
	background-color: var(--e-global-color-primary, --color-primary) !important;
	border: 1px solid var(--e-global-color-primary, --color-primary) !important;
	color: var(--e-global-color-body-text, --color-body-text) !important;
	font-family: var(--font-family-raleway) !important;
	&:hover {
		background-color: white !important;
		border: 1px solid white !important;
	}
}
.btn-secondary a, .btn-secondary button, .btn-secondary [type="submit"] {
	background-color: var(--e-global-color-secondary, --color-secondary) !important;
	border: 1px solid var(--e-global-color-secondary, --color-secondary) !important;
	color: white !important;
	font-family: var(--font-family-raleway) !important;
	&:hover {
		background-color: var(--e-global-color-8c0b41f, --color-web-black) !important;
		border: 1px solid var(--e-global-color-8c0b41f, --color-web-black) !important;
	}
}
.elementor-button {
	font-family: var(--font-family-raleway) !important;
}
/* End Buttons */
/* Accordion */
.capon-accordion {
	details {
		border: 1px solid var(--color-web-black);
		border-radius: 15px;
		summary {
			outline: none !important;
			+ * {
				font-size: 16px;
				font-weight: normal;
				line-height: 125%;
			}
		}
	}
}
/* End Accordion */
/* WP Google Reviews Slider Plugin Custom CSS */
.wprev_outer_wb, .wprev_badge_div, .wprev_badge_div.badgeleft {
  margin: 0 !important;
}
.wprev_badge_div .wprevstardiv {
  display: flex;
  align-items: center;
}
.wprev_badge_div .wprev-google-place {
  border-radius: 20px !important;
}
.wprev_badge_div .wprev-google-rating {
  font-weight: 700 !important;
  color: black !important;
  font-size: 15.75px !important;
  line-height: normal !important;
  text-transform: uppercase !important;
}
.wprev_badge_div .wprevstardiv::after {
  content: '(113)';
  font-weight: 500 !important;
  font-size: 9.75px !important;
  line-height: normal !important;
  color: #878787 !important;
}
.wprev_badge_div .wprevpro_star_imgs span.svgicons {
  background: #FFBD00;
}
.wprev_badge_div .wprev-google-basedon {
  display: none !important;
}
.wprev_badge_div .wprev-google-rating {
  display: inline-flex;
  align-items: center;
  gap: 2px;
}
.wprev_badge_div .wprev-google-rating::before {
  content: '';
  width: 27px;
  height: 27px;
  background: url(https://caponcleanidev.wpenginepowered.com/wp-content/uploads/2026/03/google.svg)
    center / contain no-repeat;
}
/* End WP Google Reviews Slider Plugin Custom CSS */

.header-height {
	padding-top: var(--header-height) !important;
}
@media screen and (max-width: 425px) {
	h1 {
		overflow-wrap: normal;
 	 	word-break: keep-all;   /* don't break words */
  		hyphens: none;
		/*font-size: 44px !important*/
	}
}
